Docs

Reference

Campaign details

A campaign with its draft graph, published version and stats.

View MarkdownThis page is generated from the source code on every release.

A campaign with its draft graph, published version and stats.

Overview

Name Value
Code campaigns.get
Scope needed crm.read
Risk Read
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager, agent, viewer
In the app Campaigns → details

Input fields

Field Type Required Description
id uuid Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/campaigns.get \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'

Output fields (data)

Field Type Required
campaign object Yes
published null | object Yes
stats null | text | number | object | any[] | true/false Yes

Example answer

{
  "data": {
    "campaign": {
      "id": "00000000-0000-4000-8000-000000000000",
      "name": "text",
      "description": "text",
      "topic": "text",
      "goal": "outreach",
      "status": "draft",
      "account_ids": [
        "text"
      ],
      "audience": "text",
      "people_count": 1,
      "draft_graph": "text",
      "draft_dirty": true,
      "version_id": "00000000-0000-4000-8000-000000000000",
      "started_at": "2026-10-22T12:00:00.000Z",
      "paused_at": "2026-10-22T12:00:00.000Z",
      "finished_at": "2026-10-22T12:00:00.000Z",
      "last_error": "text",
      "created_at": "2026-10-22T12:00:00.000Z",
      "updated_at": "2026-10-22T12:00:00.000Z"
    },
    "published": {
      "id": "00000000-0000-4000-8000-000000000000",
      "graph": "text",
      "created_at": "2026-10-22T12:00:00.000Z"
    },
    "stats": "text"
  }
}

Using it over MCP

Tool campaigns_get is listed on the profiles: Automation setup (setup), Reports (reports). On other profiles, find it with tools_search and run it with tools_run.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0